Spigot Run From The Beast 2 1.1

The minigame run from the beast 2!

  1. JairoJosePC submitted a new resource:

    Run From The Beast 2 - The minigame run from the beast 2!

    Read more about this resource...
     
    • Agree Agree x 2
  2. JairoJosePC updated Run From The Beast 2 with a new update entry:

    Beta 0.1.1

    Read the rest of this update entry...
     
  3. No podrías ponerlo para Spigot 1.7.10 también?
     
  4. Me podrias ayudar con esto? Tambien, puedes añadir la opcion que este plugin solo funcione solamente en un mundo? Puedo ver status window en todos los mundo de mi server.

    [13:27:59 WARN]: [Run_From_The_Beast] Task #65 for Run_From_The_Beast v0.1.1 gen
    erated an exception
    java.lang.NullPointerException
    at me.JairoJosePC.RFTB.Arena$4.run(Arena.java:379) ~[?:?]
    at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftTask.run(CraftTask.java
    :71) ~[spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftScheduler.mainThreadHea
    rtbeat(CraftScheduler.java:350) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at net.minecraft.server.v1_8_R2.MinecraftServer.A(MinecraftServer.java:7
    18) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at net.minecraft.server.v1_8_R2.DedicatedServer.A(DedicatedServer.java:3
    68) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at net.minecraft.server.v1_8_R2.MinecraftServer.z(MinecraftServer.java:6
    51) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at net.minecraft.server.v1_8_R2.MinecraftServer.run(MinecraftServer.java
    :554) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_45]
    [13:28:00 WARN]: [Run_From_The_Beast] Task #65 for Run_From_The_Beast v0.1.1 gen
    erated an exception
    java.lang.NullPointerException
    at me.JairoJosePC.RFTB.Arena$4.run(Arena.java:379) ~[?:?]
    at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftTask.run(CraftTask.java
    :71) ~[spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at org.bukkit.craftbukkit.v1_8_R2.scheduler.CraftScheduler.mainThreadHea
    rtbeat(CraftScheduler.java:350) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at net.minecraft.server.v1_8_R2.MinecraftServer.A(MinecraftServer.java:7
    18) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at net.minecraft.server.v1_8_R2.DedicatedServer.A(DedicatedServer.java:3
    68) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at net.minecraft.server.v1_8_R2.MinecraftServer.z(MinecraftServer.java:6
    51) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at net.minecraft.server.v1_8_R2.MinecraftServer.run(MinecraftServer.java
    :554) [spigot-1.8.3.jar:git-Spigot-1d14d5f-ba32592]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_45]
    [13:28:01 WARN]: [Run_From_The_Beast] Task #65 for Run_From_The_Beast v0.1.1 gen
     
  5. Podrías colocar el código en github y te podría ayudar en algunas cosas que encontré en el código ;)
     
  6. como pongo el codigo en github?
     
  7. Más adelante lo haré compatible con ambas versiones. Intentare que sea lo antes posible, lo unico que hay un problemilla, La action Bar es algo nuevo de la 1.8 y por ello la tendria que desactivar para el de la version 1.7, podria poner BarAPI pero eso no funciona nada bien con los clientes 1.8 y solo causaría problemas... Ya vere como lo hago, pero si que crearé una version para spigot 1.7.10
     
    • Like Like x 1
  8. La idea de este plugin era hacerle para un server dedicado, que es la manera en la que mejor funcionaria el servidor y no habra problemas de compatibilidad con otros plugins.
    He revisado ese error y a mi no me ha pasado, lo mas provable es que lo cause por otro plugin que este cambiando algo que haga dar error a este. Revisa tambien que esten configuradas bien las arenas.
    Aún asi, en que momento salta ese error? Ya que no logro ver que lo produce.
     
  9. JairoJosePC updated Run From The Beast 2 with a new update entry:

    A Big Update

    Read the rest of this update entry...
     
  10. Hola! Puedes agregar soporte a java 7
     
  11. Lo intentare mas adelante, al igual que el soporte para el spigot 1.7.10 protocal hack
     
  12. English pls..
     
    • Agree Agree x 1
  13. Ocurre siempre o solo al entrar mediante un cartel?
     
  14. Como incompatible? Da error si usas ambos a la vez o no van los permisos?
     
  15. No problem ;)
    Pasame el enlace cuando lo tengas
     
  16. Intentare solucionar esos problemas que me comentas, espero encontrarles.
     
  17. Respecto a lo de permisionsex el problema comentado al parecer parece ser que esa version no es compatible con el servidor spigot 1.8.3. Descargar la versionultima version de devbukkit o del hub spigot.